body {
    font-family: sans-serif;
    margin: 0;
    padding: 0;
    line-height: 1.6;
}

header {
    background-color: #333;
    color: #fff;
    padding: 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

header nav a {
    color: #fff;
    text-decoration: none;
    margin-left: 1rem;
}

.hero {
    background-image: url('truck_hero.webp');
    background-size: cover;
    background-position: center;
    color: #fff;
    text-align: center;
    padding: 10rem 0;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.hero::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

.hero > * {
    z-index: 2;
}

.hero h1 {
    font-size: 3rem;
    margin-bottom: 1rem;
}

.hero .button {
    background-color: #007bff;
    color: #fff;
    padding: 1rem 2rem;
    text-decoration: none;
    border-radius: 5px;
}

section {
    padding: 3rem 2rem;
    text-align: center;
}

section img {
    max-width: 100%;
    height: auto;
    margin-top: 2rem;
}

section.mission img {
    max-width: 100%;
    height: auto;
    margin-top: 2rem;
}

section.contacts form {
    display: flex;
    flex-direction: column;
    max-width: 400px;
    margin: 0 auto;
    margin-bottom: 2rem;
}

section.contacts input,
section.contacts textarea {
    padding: 0.5rem;
    margin-bottom: 1rem;
    border: 1px solid #ccc;
    border-radius: 5px;
}

section.contacts button {
    background-color: #007bff;
    color: #fff;
    padding: 1rem 2rem;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

footer {
    background-color: #333;
    color: #fff;
    text-align: center;
    padding: 1rem;
}

header .logo {
    font-size: 2rem;
    font-weight: 700;
}

.portal .button {
    background-color: #007bff;
    color: #fff;
    padding: 1rem 2rem;
    text-decoration: none;
    border-radius: 5px;
    font-size: 1.1rem;
    font-weight: 600;
    transition: background-color 0.3s ease;
}

.portal .button:hover {
    background-color: #0056b3;
}

.team-image-container {
    max-height: 500px;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.team-image-container img {
    width: 100%;
    height: auto;
    display: block;
}

.map-image-container {
    max-height: 500px;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.map-image-container img {
    width: 100%;
    height: auto;
    display: block;
}

#about p,
#mission p {
    max-width: 800px;
    margin: 0 auto;
    margin-bottom: 20px;
}

.truck-image-container {
    max-height: 500px;
    overflow: hidden;
    display: flex;
    align-items: center;
}

.truck-image-container img {
    width: 100%;
    height: auto;
    display: block;
}

.margin-bottom {
    margin-bottom: 50px;
}
